/*****************************************************************************
 *   bluetooth.h
 *
 *   Author: Clemens Valens
 *   License: GNU General Public License 
 *
 *   History
 *   2009.11.05  ver 1.00    Preliminary version, first release
 *
******************************************************************************/

/**
	@file
	High-level Bluetooth driver interface.
 */

#ifndef __BLUETOOTH_H__ 
#define __BLUETOOTH_H__


#define BLUETOOTH_OFF  0
#define BLUETOOTH_ON  1

void bluetooth_power(int power);
bool_t bluetooth_init(int baudrate);
bool_t bluetooth_set_friendly_name(char *p_name);
bool_t bluetooth_set_pin(char *p_pin);
int bluetooth_send(char *p_data, int data_size);
uint8_t bluetooth_scan(void);
bool_t bluetooth_connect(bool_t as_slave, char *p_pin, uint8_t device, uint32_t timeout_ms, bool_t reconnect);
bool_t bluetooth_is_connected(void);
void bluetooth_get_module_info(void);


#endif // __BLUETOOTH_H__
