/**
	@file
	Definitions for SD card driver.
 */

#ifndef __SDCARD_DRIVER_H__
#define __SDCARD_DRIVER_H__


#define SDCARD_POWER_OFF  0
#define SDCARD_POWER_ON  1


void sdcard_hardware_init(void);
bool_t sdcard_detect(void);
bool_t sdcard_write_protected(void);
void sdcard_power(uint8_t power);
void sdcard_select(void);
void sdcard_unselect(void);
bool_t sdcard_status(uint8_t response);
bool_t sdcard_initialise(void);
bool_t sdcard_read_block(long sector, uint8_t *p_data);
uint8_t sdcard_get_write_result (void);
bool_t sdcard_write_block(long sector, const uint8_t *p_data);


#endif // __SDCARD_DRIVER_H__
