/**
	@file
	Definitions for SPP driver.
 */

#ifndef __SSP_H__
#define __SSP_H__



#define SPI_CPHA	  (1<<3)
#define SPI_CPOL	  (1<<4)
#define SPI_MASTER	(1<<5)
#define SPI_LSBF	  (1<<6)
#define SPI_SPIE	  (1<<7)



#define SSP_DATA_SIZE_MASK		(0x000f)
#define SSP_DATA_SIZE(A)	    (A-1)

#define SSP_FRAME_FORMAT_MASK	(0x0030)
#define SSP_FRAME_FORMAT_SPI	(0x0000)
#define SSP_FRAME_FORMAT_SSI	(0x0010)
#define SSP_FRAME_FORMAT_MW	  (0x0020)

#define SSP_CPOL		(1<<6)
#define SSP_CPHA		(1<<7)

#define SSP_SCR_MASK	(0xff00)
#define SSP_SCR(A)		(A << 8)

#define SSP_LBM		  (1<<0)
#define SSP_SSE		  (1<<1)
#define SSP_MS			(1<<2)
#define SSP_SOD		  (1<<3)

#define SSP_TFE			(1<<0)
#define SSP_TNF			(1<<1)
#define SSP_RNE			(1<<2)
#define SSP_RFF			(1<<3)
#define SSP_BSY			(1<<4)

#define SSP_RORMIS	(1<<0)
#define SSP_RTMIS		(1<<1)
#define SSP_RXMIS		(1<<2)
#define SSP_TXMIS		(1<<3)

#define SSP_RORIC		(1<<0)
#define SSP_RTIC		(1<<1)

#define SSP_RORIM		(1<<0)
#define SSP_RTIM		(1<<1)
#define SSP_RXIM		(1<<2)
#define SSP_TXIM		(1<<3)

#define SSP_RORRIS	(1<<0)
#define SSP_RTRIS		(1<<1)
#define SSP_RXRIS		(1<<2)
#define SSP_TXRIS		(1<<3)


void ssp_init(void);
void ssp_put_byte(uint8 ch);
uint8 ssp_get_byte(void);
void ssp_send(const uint8 *p_data, long data_size);
void ssp_read(uint8 *p_data, long data_size);


#endif // __SSP_H__

