/**
	@file
	newlib - close.
 */

#include "sceptre.h"
#include "device.h"


/**
* This function has to be implemented if you want to use fclose in your programs.
*
* Close a file.
*
* @param p_reent  Pointer to a structure that will receive the return value.
* @param fd       Handle of file to close.
* @return Zero on success, else -1.
*/
int _close_r (struct _reent *p_reent, int fd)
{
  int result;
  int idx;

  // Look through device table for this device.
  if ((idx=device_find(p_reent,DEVICE_TYPE(fd)))==-1) return -1;

  // Call function if defined.
  if (device_table_list[idx].p_item->close)
  {
    result = device_table_list[idx].p_item->close(p_reent,fd);
  }
  else
  {
    p_reent->_errno = EBADF;
    return -1;
  }

  return result;
}

