/**
	@file
	newlib - gettimeofday.

  \todo Add implementation.
 */

#include <reent.h>
//#include <errno.h>
//#include "device.h"
#include <sys/time.h>
//#include <types.h>
//#include <sysdefs.h>
#include <time.h>


//
// note: MSDOS epoch is: 315532800 -- Jan 01, 1980 00:00:00
//
// note: unix epoch is: 0 -- Jan 01, 1970 00:00:00
//


/**
* This function has to be implemented if you want to use gettimeofday in your programs.
*
* Return time in epoch seconds since Jan 01, 1970
*
* @param p_reent  Pointer to a structure that will receive the return value.
* @param tp       Address of timeval structure to fill.
* @param tzp      Address of timezone structure to fill.
* @return Zero on success, nonzero on failure.  
*/
int _gettimeofday_r(struct _reent *r, struct timeval *tp, struct timezone *tzp)
{
  struct tm now;
  
#ifdef HAS_CLOCK

  readRTC(&now);
  // Adjust for differences between our clock and a "normal" clock.
  now.tm_year -= 1900;
  now.tm_mon -= 1;
  now.tm_yday -= 1;

#else

  {
    time_t newTime;
    newTime = 0;
    localtime_r(&newTime,&now);
  }

#endif

  tp->tv_sec = mktime(&now);
  tp->tv_usec = 0;
  return 0;
}

