/**
	@file
	newlib - times.

  \todo Check the value of CLOCKS_PER_SEC, assumed to be 100, but may be 1000.
 */

#include "sceptre.h"
#include <reent.h>
#include <sys/times.h>


/**
* This function has to be implemented if you want to use times in your programs.
*
* @param p_reent  Pointer to a structure that will receive the return value.
* @param p_tms    Address of structure to fill.
* @return Number of clock ticks.
*/
clock_t _times_r(struct _reent *r, struct tms *p_tms)
{
  // Return value should depend on the value of CLOCKS_PER_SEC.
	clock_t t = timer_get_10ms_counter();
	
  if (p_tms!=0)
  {
    p_tms->tms_utime  = t;
    p_tms->tms_stime  = 0;
    p_tms->tms_cutime = 0;
    p_tms->tms_cstime = 0;
  }
  
  return t;
}

