/****************************************************************************
*  ds18b20.c:  driver for Maxim DS18B20 thermometer chip.
*
*  Contains generic 1-wire driver.
*
*  Author: Clemens Valens
*  License: GNU General Public License
*
*  History
*  2009.11.08  ver 1.00
*
*****************************************************************************/

/**
	@file
	Interface for DS18B20 1-wire thermometer driver.
 */

#ifndef __DS18B20_H__
#define __DS18B20_H__


bool_t ds18b20_init(void);
bool_t ds18b20_write_scratchpad(uint8_t th, uint8_t tl, uint8_t config);
float ds18b20_read_temperature(void);
int ds18b20_read(void *p_dst, uint32_t dst_size);
int ds18b20_write(const uint8_t *p_src, uint32_t src_size);
bool_t ds18b20_read_serial(uint8_t *p_serial);


#endif // __DS18B20_H__


